
// vmm.h
// Author: Josh Holtrop
// Date: 09/30/03


typedef struct {
	dword page[1024];
} PageTable;

typedef struct {
	dword pageTables[1024];
} PageDirectory;


void	vmm_enable_paging();
void	vmm_init();
void   *malloc(dword bytes);
int	free(void *ptr);
int	vmm_map1(dword virtual, dword physical, dword flags);
int	vmm_mapn(dword virtual, dword physical, dword flags, dword n);
int	vmm_unmap1(dword virtual);
int	vmm_unmapn(dword virtual, dword n);
void	vmm_init_pagetable(dword address);
int	vmm_walkPageTables();






